<?php
namespace Banyo\CustomProduct\Plugin;

class UpdatePagerClass
{
    /**
     * Modify available pager limits
     *
     * @param \Magento\Theme\Block\Html\Pager $subject
     * @param array $result
     * @return array
     */
    public function afterGetAvailableLimit(\Magento\Theme\Block\Html\Pager $subject, $result)
    {
        $limits = [3 => 3, 20 => 20, 50 => 50];
        for ($i = 4; $i <= 100; $i += 5) {
            $limits[$i] = $i;
        }
        return $limits;
    }
}
